<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<body>
	<h1> Customer App</h1>
	<script>
		let customers = [
			{id:1,name:'Vivek', email:'vivek@abc.com', phone:'8989389333',address:"Singapore"},
			{id:2,name:'Dev', email:'dev@abc.com', phone:'866u389333',address:"India"},
			{id:3,name:'Ameer', email:'ameer@abc.com', phone:'877779333',address:"Asia"}
		]; //object
		let addWord = () => {
			var name = document.getElementById('newWord').value;
			document.getElementById('newWord').value = '';
			var customer = {id:Date.now(), name:name }
			customers.push(customer);
			updateGUI();
		}

		var displayWords = function(){
			//JSON.stringify(s);
			const result = document.getElementById("result"); //result is the list
			result.innerHTML = "";//make it blank
			for (let i = 0; i < customers.length; i++ ) {
				const newWord = document.createElement("div");
				newWord.innerHTML = customers[i].name+  " ";
				result.appendChild(newWord);

				const deleteButton = document.createElement("button");
				deleteButton.innerHTML = "X"
				deleteButton.onclick = function(){
					console.log(" Want to delete "+customers[i]);
					customers = customers.filter((item) => (item.id != customers[i].id));
					//customers = customers.filter(function(item){return (item != customers[i])});
					updateGUI();
				}
				newWord.appendChild(deleteButton);
			}
		}
		let removeWord = () => {
			//how js works
			let temp = [];
			var word = document.getElementById('newWord').value;
			if(word === ""){
				words.pop();
			} else{
				customers = customers.filter(function(item){return (item != word)});
				//customers = customers.filter((item) => (item != word));

				//customers = temp;
			 console.log("Assignment remove :"+word);
			}
			
			updateGUI();
			//customers.shift();
			//customers.unshift();
		}
		let updateGUI = () =>{
			displayWords();
			//document.getElementById('result').innerHTML = words;
		}

	</script>
	<input id="newWord" placeholder="Name" type="" name="" value=""> <br/> <br/>
	<input  placeholder="Email" type=""  value=""> <br/> <br/>
	<input  placeholder="Phone" type=""  value=""> <br/> <br/>
	<input  placeholder="Address" type=""  value=""> <br/> <br/>

	<input onclick="addWord()" type="button" name="" value="Add"> | 
	<input onclick="removeWord()" type="button" name="" value="Remove"> | 

	 <br/> <br/>
	 <h4> LISTING</h4> <br/>
	<div id="result"></div>
	<script type="text/javascript">
		updateGUI();
	</script>

</body>
</html>
